Skip to main content
`Ctrl`+`K`

# ISType

String with the name of a PETSc index set type

## Synopsis

    #include "petscis.h"
    typedef const char *ISType;
    #define ISGENERAL "general"
    #define ISSTRIDE  "stride"
    #define ISBLOCK   "block"

## Values

- `ISGENERAL` - the values are stored with an array of indices and generally have no structure

- `ISSTRIDE` - the values have a simple structure of an initial offset and then a step size between values

- `ISBLOCK` - values are an array of indices, each representing a block (of the same common length) of values

## See Also

`ISSetType()`, `IS`, `ISCreateGeneral()`, `ISCreateStride()`, `ISCreateBlock()`, `ISCreate()`, `ISRegister()`, `VecScatterCreate()`, `MatGetSubMatrices()`

## Level

beginner

## Location

include/petscis.h

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages